# Uses of Class
jdk.jfr.ValueDescriptor

Packages that use ValueDescriptor
Package
Description
jdk.jfr
This package provides classes to create events and control Flight Recorder.
jdk.jfr.consumer
This package contains classes for consuming Flight Recorder data.

## Uses of ValueDescriptor in jdk.jfr

Methods in jdk.jfr that return ValueDescriptor
Modifier and Type
Method
Description
`ValueDescriptor`
EventType.`getField(String name)`
Returns the field with the specified name, or `null` if it doesn't exist.
Methods in jdk.jfr that return types with arguments of type ValueDescriptor
Modifier and Type
Method
Description
`List<ValueDescriptor>`
EventType.`getFields()`
Returns an immutable list of descriptors that describe the event fields of this event type.
`List<ValueDescriptor>`
ValueDescriptor.`getFields()`
Returns an immutable list of value descriptors if the type is complex, else an empty list.
`List<ValueDescriptor>`
AnnotationElement.`getValueDescriptors()`
Returns an immutable list of descriptors that describes the annotation values for this `AnnotationElement`.

## Uses of ValueDescriptor in jdk.jfr.consumer

Methods in jdk.jfr.consumer that return types with arguments of type ValueDescriptor
Modifier and Type
Method
Description
`List<ValueDescriptor>`
RecordedEvent.`getFields()`
Returns the list of descriptors that describes the fields of the event.
`List<ValueDescriptor>`
RecordedObject.`getFields()`
Returns an immutable list of the fields for this object.